summaryrefslogtreecommitdiffstats
path: root/development/cppcheck/cppcheck.SlackBuild
diff options
context:
space:
mode:
author Sean Donner2010-05-13 00:57:51 +0200
committer Robby Workman2010-05-13 00:57:51 +0200
commit651ceae03f2cf9aa965147f6274dcd193dcce64a (patch)
tree3fa36d39ae44a75a6657562bd457b6fcace49902 /development/cppcheck/cppcheck.SlackBuild
parent70134d23096dc55c66ea9bb088aa19200be18e99 (diff)
downloadslackbuilds-651ceae03f2cf9aa965147f6274dcd193dcce64a.tar.gz
development/cppcheck: Added to 13.0 repository
Diffstat (limited to 'development/cppcheck/cppcheck.SlackBuild')
-rw-r--r--development/cppcheck/cppcheck.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/development/cppcheck/cppcheck.SlackBuild b/development/cppcheck/cppcheck.SlackBuild
new file mode 100644
index 0000000000..175ab44941
--- /dev/null
+++ b/development/cppcheck/cppcheck.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh -e
+
+# Slackware build script for cgdb
+
+# Copyright 2009-2010 Sean Donner (sean.donner@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cppcheck
+VERSION=${VERSION:-1.39}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+MAKEMAN=${MAKEMAN:-yes}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown root:root . -R
+
+make \
+ CFLAGS="$SLKCFLAGS -Wall -Wextra -pedantic -DNDEBUG" \
+ CXXFLAGS="$SLKCFLAGS -Wall -Wextra -pedantic -DNDEBUG"
+make install DESTDIR=$PKG
+
+if [ x"$MAKEMAN" == "xyes" ]; then
+ xsltproc \
+ --nonet \
+ --param man.charmap.use.subset "0" \
+ --param make.year.ranges "1" \
+ --param make.single.year.ranges "1" \
+ --output man/ \
+ /etc/asciidoc/docbook-xsl/manpage.xsl \
+ man/$PRGNAM.1.xml
+ mkdir -p $PKG/usr/man/man1
+ gzip -9c man/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+fi
+
+( cd $PKG
+ find . -exec file {} + | sed -n '/ELF.*executable\|shared object/s/:.*$//p' | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . -exec file {} + | sed -n '/current ar archive/s/:.*$//p' | \
+ xargs strip --strip-debug 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING Changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+find . -perm /111 -exec chmod 755 {} + -o -perm /444 ! -perm /111 -exec chmod 644 {} +
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}